## mairix 0.21

=== dfasyn/Makefile ===
# Makefile for NFA->DFA conversion utility
#
# Copyright (C) Richard P. Curnow  2000-2001,2003,2005,2006,2007
# This program is free software; you can redistribute it and/or modify
# it under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
#

CC=gcc
#CFLAGS=-g -Wall
#CFLAGS=-O2 -pg
CFLAGS=-Wall
prefix?=/usr/local
bindir=$(prefix)/bin
mandir?=$(prefix)/man
man1dir=$(mandir)/man1
man5dir=$(mandir)/man5

OBJ = dfasyn.o parse.o scan.o \
	tokens.o abbrevs.o charclass.o \
	stimulus.o \
	blocks.o states.o \
	n2d.o expr.o evaluator.o \
	tabcompr.o compdfa.o

all : dfasyn

install : all
	[ -d $(bindir) ] || mkdir -p $(bindir)
	[ -d $(man1dir) ] || mkdir -p $(man1dir)
	[ -d $(man5dir) ] || mkdir -p $(man5dir)
	cp dfasyn $(bindir)
	cp dfasyn.1 $(man1dir)
	cp dfasyn.5 $(man5dir)

dfasyn : $(OBJ)
	$(CC) $(CFLAGS) -o dfasyn $(OBJ)

parse.c parse.h : parse.y
	bison -v -d parse.y
	mv parse.tab.c parse.c
	mv parse.tab.h parse.h

parse.o : parse.c dfasyn.h

scan.c : scan.l
	flex -t -s scan.l > scan.c

scan.o : scan.c parse.h dfasyn.h

$(OBJ) : dfasyn.h

clean:
	rm -f dfasyn *.o scan.c parse.c parse.h parse.output

## mairix 0.22

=== dfasyn/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # 
 # You should have received a copy of the GNU General Public License along
 # with this program; if not, write to the Free Software Foundation, Inc.,
-# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 #
 
 CC=gcc

## mairix 0.23+git20131125

=== dfasyn/Makefile ===
--- 
+++ 
@@ -46,9 +46,7 @@
 	$(CC) $(CFLAGS) -o dfasyn $(OBJ)
 
 parse.c parse.h : parse.y
-	bison -v -d parse.y
-	mv parse.tab.c parse.c
-	mv parse.tab.h parse.h
+	bison -v -d -o parse.c parse.y
 
 parse.o : parse.c dfasyn.h

=== test/Makefile ===
############################################
#
# Structure of the Makefile
#  * Some defaults
#  * One-time preparation of mails used for testing.
#  * Targets for the whole test suite
#  * Targets for a single test
#  * Targets for overall maintenance
#
# Important Targets:
#   test -- runs all tests. Stops at the first failing test
#   check -- runs all tests. Continues after failed tests
#   clean -- removes all logs, etc from running tests
#   distclean -- removes all generated files
#
############################################


############################################
# Defaults
#
# the used mairix
MAIRIX_EXE=../mairix
# the place for helper scripts
SCRIPT_DIR=scripts

# Each file ending in .test-spec signifies a test
TEST_SPEC_FILES=$(shell ls -1 *.test-spec )
TESTS=$(TEST_SPEC_FILES:%.test-spec=%)


all: check


############################################
# One-time preparation of mails used for testing.
#
#   - big messages are generated by a script when testing.
#     (Shipping them directly would unnecessary increase source-code size.)
#   - mboxen are split into individual messages for easier reference.
#
# big messages:
BIG_MESSAGES_INDICES=1 2 3 4
BIG_MESSAGES=$(BIG_MESSAGES_INDICES:%=messages/mh/BigMessages/%)
big-messages: $(BIG_MESSAGES)
messages/mh/BigMessages/%:
	$(SCRIPT_DIR)/generate_big_message.sh $@

# splitting the mboxen
.split_mboxen_marker:
	find messages/mbox -type f -exec $(SCRIPT_DIR)/split_mbox.sh {} \;
	touch $@

# message-preparations is used to assert all required preprocessing is done
message-preparations: .split_mboxen_marker big-messages

# maintenance for the generated files
distclean-message-preparations:
	-rm -f .split_mboxen_marker
	-rm -rf messages/mbox_split
	-rm -rf $(BIG_MESSAGES)

############################################
# Targets for the whole test suite
#

# test runs all tests and aborts upon errer
test: clean $(TESTS:%=test-%)

# check runs all tests but does not abort upon error.
#   It collects results and presents them in a summary.
#   Finally this target fails if any test did not succeed
check: clean $(TESTS:%=%.status)
	$(SCRIPT_DIR)/print_test_statistics.sh
	if grep '^[^#]*\(dump_database\|log_remaining_matched_unasserted_messages\)' $(TEST_SPEC_FILES) ; then echo ; echo "Above files use dump_database or log_remaining_matched_unasserted_messages. But they should only be used when developing tests. Aborting" >&2 ; exit 1 ; fi

# clean removes the logs and outcomes of all tests
clean-tests: $(TESTS:%=clean-%)

############################################
# Targets for a single test
#

# almostclean-TEST removes the logs for the test TEST, but not the outcome of the test
almostclean-%:
	-rm -rf $(@:almostclean-test-%=%.data)

# almostclean-TEST removes the logs and outcome for the test TEST
clean-%: almostclean-test-%
	-rm -f $(@:clean-%=%.status)


# test-TEST runs the test TEST, aborting on failure
test-%: %.test-spec message-preparations almostclean-test-% $(MAIRIX_EXE)
	$(SCRIPT_DIR)/test.sh $<

# TEST.status runs the test TEST, not aborting on failure, but collecting the outcome in TEST.status. Either "failed" if the test fauled, or "passed", if the test passed
%.status: %.test-spec $(MAIRIX_EXE)
	echo "failed" >$@
	$(MAKE) test-$(<:%.test-spec=%) && \
		echo "passed" >$@ || \
		echo "Test $< did not succeed."


############################################
# Maintenance targets
#

clean: clean-tests

distclean: clean distclean-message-preparations

=== debian/changelog ===
mairix (0.23+git20131125-0.4ubuntu1) xenial; urgency=medium

  * Build-depend on language-pack-en-base instead of locales-all.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 11 Nov 2015 01:49:43 -0500

mairix (0.23+git20131125-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Add fix-256-char-limit-on-filenames.patch to handle some of the
    stack-smashing bugs that have been mentioned in upstream's
    bugtracker. Closes: #795937

 -- Bradley M. Kuhn <bkuhn@ebb.org>  Wed, 09 Sep 2015 13:34:04 -0700

mairix (0.23+git20131125-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on systems with C locale. The test suite depends on having an
    en_US.UTF-8 locale setup.
  * Disable fix-test-suite.patch. For some reasons, that patch is only needed
    when building outside of a minimal build environment... thus the
    difference of locale (en_US.UTF-8 vs my fr_FR.UTF-8) doesn't explain
    everything.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 03 Aug 2014 10:10:40 +0200

mairix (0.23+git20131125-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add fix-search-with-equal-in-msgid.patch to allow lookup of Message-ID
    containing equals. Closes: #634948

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 01 Aug 2014 16:53:53 +0200

mairix (0.23+git20131125-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream git snaspshot. Closes: #750641
  * Add Homepage pointing to github.
  * Update standards-version to 9.
  * Switch to debhelper compat 9 and short rules file.
  * Drop all maintainer scripts (they were empty templates).
  * Switch to 3.0 (quilt) source format.
  * Add watch file

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 31 Jul 2014 16:09:40 +0200

mairix (0.22-1) unstable; urgency=low

  * New upstream version.
  * Fixed errors in man pages. Closes: #444055
  * Added support for claws-mail. Closes: #469092
  * Fix memory leak. Closes: #507456

 -- Benjamin Mako Hill <mako@debian.org>  Sat, 23 Oct 2010 03:33:50 -0400

mairix (0.21-1) unstable; urgency=low

  * New upstream version. Closes: #438778
  * Installs mairixrc manpage. Closes: #419069
  * Fixes problems with segfaulting. Closes: #419138, #416999
  * Fix handling of broken attachments. Closes: #417001

 -- Benjamin Mako Hill <mako@debian.org>  Thu, 23 Aug 2007 10:07:24 -0400

mairix (0.20-1) unstable; urgency=low

  * New upstream release. Closes: #416268
  * Fix incorrect filename in postinst. Closes: #395117
  * Updated documenation fixes previous inaccuracies: Closes: #355838
  * Replaced Debian manpage with upstream manpage.

 -- Benjamin Mako Hill <mako@debian.org>  Sat, 31 Mar 2007 00:43:21 -0400

mairix (0.17-2) unstable; urgency=low

  * Fixed version number. Closes: #340827
  * Added build-depends on zlib to gain gzip mbox support. Closes: #307432

 -- Benjamin Mako Hill <mako@debian.org>  Mon,  5 Dec 2005 10:47:53 -0500

mairix (0.17-1) unstable; urgency=low

  * New upstream release. Closes: #340316

 -- Benjamin Mako Hill <mako@debian.org>  Thu, 24 Nov 2005 15:33:26 -0500

mairix (0.16.1-1) unstable; urgency=low

  * New upstream release.

 -- Benjamin Mako Hill <mako@debian.org>  Sun, 11 Sep 2005 19:20:22 -0400

mairix (0.15.2-3) unstable; urgency=low

  * New maintainer. Closes: #297434

 -- Benjamin Mako Hill <mako@debian.org>  Thu, 10 Mar 2005 16:36:19 -0500

mairix (0.15.2-2) unstable; urgency=low

  * Orphan package as in bug #297434.
  Thanks to Benjamin Mako Hill for agreeing to adopt this package

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat,  5 Mar 2005 13:23:55 -0700

mairix (0.15.2-1) unstable; urgency=low

  * New upstream (closes:295214)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 14 Feb 2005 18:51:44 -0700

mairix (0.15.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 23 Dec 2004 19:41:48 -0700

mairix (0.15-3) unstable; urgency=low

  * Fix typo in man page (closes:270986)

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 10 Sep 2004 08:38:41 -0600

mairix (0.15-2) unstable; urgency=low

  * Update descripton (closes:265008)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 11 Aug 2004 12:57:53 -0600

mairix (0.15-1) unstable; urgency=high

  * New upstream (closes:251402,250420,250409)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  4 Aug 2004 23:01:48 -0600

mairix (0.14+pre.0.15.patch-12-1) unstable; urgency=low

  * New pre-release upstream 

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu,  8 Jul 2004 21:09:25 -0600

mairix (0.14-1) unstable; urgency=low

  * Fixed path search (closes:224179)
  * Update web site address (closes:229739)
  * Allow use of '+' as a search character (closes:215692)
  * Update copyright years
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 26 Jan 2004 08:29:22 -0700

mairix (0.11-3) unstable; urgency=low

  * Add flex to build-dep (closes: 200406)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  7 Jul 2003 21:44:30 -0600

mairix (0.11-2) unstable; urgency=low

  * Add bison to build-dep (closes: 200382)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  7 Jul 2003 15:41:34 -0600

mairix (0.11-1) unstable; urgency=low

  * New upstream
  * Add to man page (closes:200290)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  7 Jul 2003 09:17:44 -0600

mairix (0.10-1) unstable; urgency=low

  * New upstream
  * Build with gcc-3.2

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 13 Jan 2003 21:07:35 -0700

mairix (0.9-1) unstable; urgency=low

  * New upstream (closes: 174704)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 30 Dec 2002 09:58:03 -0700

mairix (0.6-1) unstable; urgency=low

  * New upstream
  * Patch to increase size of folder list (closes: 168593)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 10 Nov 2002 15:40:10 -0700

mairix (0.5-1) unstable; urgency=low

  * New upstream version

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 11 Oct 2002 23:24:41 -0600

mairix (0.4-4) unstable; urgency=low

  * Update copyright file with new home page.



=== debian/control ===
Source: mairix
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Benjamin Mako Hill <mako@debian.org>
Build-Depends: debhelper (>= 9), bison, flex, libbz2-dev, zlib1g-dev, language-pack-en-base
Standards-Version: 3.9.5
Homepage: https://github.com/rc0/mairix

Package: mairix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: indexes and searches email in locally stored email
 mairix is a program for indexing and searching locally stored email messages.
 mairix supports Maildir, MH folders, and mbox formats.
 .
  * Indexing is fast. It runs incrementally on new messages - any
  particular message only gets scanned once in the lifetime of the
  index file.
 .
  * The search mode populates a "virtual" maildir folder with symlinks
  which point to the real messages. This folder can be opened as usual
  in your mail program.
 .
  * The search mode is very fast.
 .
  * Indexing and searching works on the basis of words. The index file
  tabulates which words occur in which parts (particular headers +
  body) of which messages.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	# The configure script is so old that it fails with the options
	# that dh_auto_configure feeds it...
	./configure --prefix=/usr --mandir=/usr/share/man

override_dh_auto_test:
	# The test suite depends on the English way to sort characters (it
	# fails with LC_ALL=C or C.UTF-8)
	LC_ALL=en_US.UTF-8 dh_auto_test

## mairix 0.24

=== debian/changelog ===
mairix (0.24-2) unstable; urgency=medium

  * Remove myself from the Uploaders field.
    I have been using notmuch instead of mairix for the past year, so do
    not expect to do any more uploads of this package.
  * Point Vcs-* at salsa.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 22 Jul 2018 12:27:33 +0800

mairix (0.24-1) unstable; urgency=low

  * New upstream release (Closes: #700906).
  * Drop all patches from previous uploads.
    Either merged upstream, or bug fixed by a different upstream change.
  * Patch mairixrc(5) to avoid warning that imap_pipe macro undefined.
  * Update d/copyright and d/control to point to new upstream maintainer.
  * Bump std-ver to 4.0.1 (no changes required).
  * Source package configuration for dgit-maint-merge(7):
    - add d/source/options
    - add d/source/patch-header

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 17 Aug 2017 16:54:04 -0700

mairix (0.23+git20131125-3) unstable; urgency=medium

  * Enable all hardening.
  * Tweak & reformat description.
  * Add fix-manpage-syntax.patch.
  * Install example config to examples/ subdir.
    Previously installed to /usr/share/doc/mairix
  * Install NEWS as the upstream changelog, not just as "NEWS".
  * Add Vcs-* URIs.
  * Add gbp.conf.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Aug 2016 20:17:04 -0700

mairix (0.23+git20131125-2) unstable; urgency=medium

  * Added Sean Whitton <spwhitton@spwhitton.name> as an uploader and
    co-maintainer.

 -- Benjamin Mako Hill <mako@debian.org>  Thu, 18 Aug 2016 10:27:13 +0200

mairix (0.23+git20131125-1) unstable; urgency=medium

  * Removed reference to removed mairix.txt file. Closes: #691339
  * Update standards version.

 -- Benjamin Mako Hill <mako@debian.org>  Tue, 16 Aug 2016 16:29:18 +0200

mairix (0.23+git20131125-0.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Option-to-follow-symlinks-to-mboxes-in-rc-file.patch to allow the
    user to restore mairix's old behaviour of following symlinks to
    mboxes.  Closes: #819127

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 24 Mar 2016 11:51:15 -0700

=== debian/control ===
Source: mairix
Section: mail
Priority: optional
Maintainer: Benjamin Mako Hill <mako@debian.org>
Build-Depends: debhelper (>= 9), bison, flex, libbz2-dev, zlib1g-dev, locales-all
Standards-Version: 4.0.1
Homepage: https://github.com/vandry/mairix
Vcs-Git: https://salsa.debian.org/Debian/mairix.git/
Vcs-Browser: https://salsa.debian.org/Debian/mairix

Package: mairix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: indexes and searches locally-stored email
 mairix is a program for indexing and searching email messages stored
 offline on your computer.  mairix supports the Maildir, MH folders,
 and mbox formats.
 .
 Some features:
 .
  * Indexing is fast. It runs incrementally on new messages - any
    particular message only gets scanned once in the lifetime of the
    index file.
 .
  * Searching is fast.
 .
  * The search mode populates a "virtual" maildir folder with symlinks
    which point to the real messages. This folder can be opened as usual
    in your mail program.
 .
  * Indexing and searching is based on words. The index file tabulates
    which words occur in which parts (particular headers + body) of which
    messages.

=== debian/watch ===
version=3
https://github.com/rc0/mairix/releases .*/(\d.*\..*)\.tar\.gz
